import { jsx as _jsx } from "react/jsx-runtime";
import { usePointsPosition } from '../../hooks';
export function Polyline(props) {
    const { points: oldPoints, color, xAxis = 'x', yAxis = 'y', ...polylineProps } = props;
    const points = usePointsPosition({ points: oldPoints, xAxis, yAxis });
    return (_jsx("polyline", { stroke: color, fill: "none", points: points, ...polylineProps }));
}
//# sourceMappingURL=Polyline.js.map