import { CSSProperties } from 'react';
import type { VerticalPosition } from '../types';
export interface HeadingProps {
    title: string;
    titleStyle?: CSSProperties;
    titleClass?: string;
    subtitle?: string;
    subtitleStyle?: CSSProperties;
    subtitleClass?: string;
    position?: VerticalPosition;
}
export declare function Heading({ title, titleStyle, titleClass, subtitle, subtitleStyle, subtitleClass, position, }: HeadingProps): JSX.Element;
export declare namespace Heading {
    var defaultProps: {
        position: string;
    };
}
