"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
function MarkerDefs({ color, id, width = 6, }) {
    return ((0, jsx_runtime_1.jsxs)("defs", { children: [(0, jsx_runtime_1.jsx)("marker", { id: `marker-triangle-${id}`, viewBox: "0 0 10 10", refX: "5", refY: "5", markerWidth: width, markerHeight: width, orient: "auto-start-reverse", children: (0, jsx_runtime_1.jsx)("path", { fill: color, d: "M 0 0 L 10 5 L 0 10 z" }) }), (0, jsx_runtime_1.jsx)("marker", { id: `marker-circle-${id}`, viewBox: "0 0 10 10", refX: "5", refY: "5", markerWidth: width, markerHeight: width, children: (0, jsx_runtime_1.jsx)("circle", { cx: "5", cy: "5", r: "5", fill: color }) }), (0, jsx_runtime_1.jsx)("marker", { id: `marker-line-${id}`, viewBox: "0 0 10 10", refX: "5", refY: "5", markerWidth: width, markerHeight: width, orient: "auto", children: (0, jsx_runtime_1.jsx)("line", { x1: "5", x2: "5", y1: "0", y2: "10", stroke: color }) })] }));
}
exports.default = MarkerDefs;
