"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_d3_utils_1 = require("react-d3-utils");
const VerticalText_1 = __importDefault(require("../VerticalText"));
function VerticalAxisLabel(props) {
    const { plotHeight, label, labelStyle, horizontalAlign } = props;
    return ((0, jsx_runtime_1.jsx)(react_d3_utils_1.AlignGroup, { x: 0, y: plotHeight / 2, horizontalAlign: horizontalAlign, verticalAlign: "middle", children: (0, jsx_runtime_1.jsx)(VerticalText_1.default, { label: label, style: labelStyle }) }));
}
exports.default = VerticalAxisLabel;
