/// <reference types="react" />
import { SeriesPoint } from '..';
import { ControllerHookOptions, DualAxisOptions, PathOptions } from './types';
export interface UseDrawPathOptions extends ControllerHookOptions, DualAxisOptions, PathOptions {
    close?: boolean;
    onDraw?: (points: SeriesPoint[]) => void;
    onEnd?: (points: SeriesPoint[]) => void;
}
export declare function useDrawPath(options?: UseDrawPathOptions): {
    annotations: JSX.Element | null;
};
